Create or update team environment variable
curl --request POST \
--url https://bugzy.ai/api/v1/teams/{id}/env-vars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "BASE_URL",
"value": "<string>",
"is_secret": true,
"environment": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://bugzy.ai/api/v1/teams/{id}/env-vars"
payload = {
"name": "BASE_URL",
"value": "<string>",
"is_secret": True,
"environment": "<string>",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'BASE_URL',
value: '<string>',
is_secret: true,
environment: '<string>',
environment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://bugzy.ai/api/v1/teams/{id}/env-vars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "BASE_URL",
"has_value": true,
"is_secret": true,
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Execution not found"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Execution not found"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Execution not found"
}
}Team Environment Variables
Create or update team environment variable
Stores encrypted values and never returns secret values. Idempotent: reusing an existing name updates it. Names use UPPERCASE_WITH_UNDERSCORES and are normalized automatically (a lowercase name1 is stored as NAME1). Requires a team API key (bzy_team_*) or internal auth.
POST
/
teams
/
{id}
/
env-vars
Create or update team environment variable
Authorizations
Project API key (bzy_proj_) for project routes or team API key (bzy_team_) for selected team routes.
Path Parameters
Body
application/json
Response
Team env var stored
Show child attributes
Show child attributes
⌘I
